[COMPLETATO] Guide compatibili con Stretch e Sid

Discussioni relative alla Gestione del wiki Guide@Debianizzati.Org

[COMPLETATO] Guide compatibili con Stretch e Sid

Messaggioda HAL 9000 » 29/04/2015, 14:02

Dopo il passaggio di Jessie da testing ad attuale stable, diverse guide riportavano tra le compatibilità Jessie e Sid, tralasciando ovviamente la nuova testing (Stretch). Io ho rimosso la compatibilità a Sid a tutte queste guide, anziché aggiungere quella a Stretch.

Ovviamente al momento Jessie, Stretch e Sid sono quasi uguali, ma con il rilascio di nuovi pacchetti in Sid, che poi arriveranno in Stretch, queste release cominceranno a divergere sempre più.

Se potete verificare o comunque aggiungere nuovamente la versione rimossa, ricordatevi di tenerne controllato lo stato almeno per i prossimi mesi. ;)


EDIT per aggiornamento:

modifiche concluse.
Ricordarsi di modificare il primo messaggio della discussione per aggiungere [RISOLTO] prima del titolo, quando conclusa.

Wiki: APT e Repository, Comandi utili, Collabora.
Manuali di Debian 9 "Stretch" (amd64): installazione, aggiornamento da Debian 8.
Avatar utente
HAL 9000
wiki member
wiki member
 
Messaggi: 1483
Iscritto il: 10/08/2009, 10:01

Re: [COMPLETATO] Guide compatibili con Stretch e Sid

Messaggioda wtf » 05/05/2015, 23:05

A questo punto però forse conviene evitare l'utilizzo delle diciture "stable" e "testing", nonché di "compatibile con tutte le versioni". Mi pare un delirio dover controllare ogni volta tutte le guide. Se lasciamo il nome della release chi legge almeno non rischia di confondersi anche se la pagina non ' stata aggiornata per tenere conto delle ultime release.
Cose da sapere:
Avatar utente
wtf
Global Moderator
Global Moderator
 
Messaggi: 717
Iscritto il: 12/04/2011, 10:58
Località: Brianza

Re: [COMPLETATO] Guide compatibili con Stretch e Sid

Messaggioda HAL 9000 » 06/05/2015, 8:38

Concordo, e i loro template saranno cambiati a partire dalle guide con l'ultima modifica meno recente (2012). Purtroppo al momento di guide segnalate come compatibili per tutte le versioni ce ne sono 296 (più forse altre non trovate con lo script), di cui almeno 100 modificate l'ultima volta nel 2012. Quindi si procederà per piccoli passi. ;)

Saranno lasciate "compatibili per tutte le versioni" solo quelle trattanti software essenziale, richiesto, importante o standard per Debian, oppure aspetti più generali di Debian o GNU/Linux.
Oppure quelle esplicitamente testate per più di 4 versioni, per cui non è possibile utilizzare il template. Mi aspetto però che siano molte meno delle quasi 300 attuali.

In un caso come nell'altro bisognerà comunque ridare un'occhiata alle guide a ogni nuovo rilascio, almeno per mantenere aggiornate quelle ancora importanti.
Ricordarsi di modificare il primo messaggio della discussione per aggiungere [RISOLTO] prima del titolo, quando conclusa.

Wiki: APT e Repository, Comandi utili, Collabora.
Manuali di Debian 9 "Stretch" (amd64): installazione, aggiornamento da Debian 8.
Avatar utente
HAL 9000
wiki member
wiki member
 
Messaggi: 1483
Iscritto il: 10/08/2009, 10:01


Torna a Guide@Debianizzati.Org

Chi c’è in linea

Visitano il forum: Nessuno e 4 ospiti